Bug 1608385 - allow any length passwords for docker repositories
Summary: allow any length passwords for docker repositories
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Container Management
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Tom McKay
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-25 12:27 UTC by Tom McKay
Modified: 2020-02-03 17:41 UTC (History)
9 users (show)

Fixed In Version: tfm-rubygem-katello-3.7.0.13-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-03 17:41:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 24382 Normal Closed allow any length passwords for docker repositories 2020-02-03 16:40:04 UTC
Foreman Issue Tracker 24994 Normal Closed allow any length passwords for docker repositories 2020-02-03 16:40:05 UTC
Red Hat Knowledge Base (Solution) 3756261 None None None 2018-12-14 11:52:22 UTC

Description Tom McKay 2018-07-25 12:27:17 UTC
Password length is currently limited to 255 characters, however some auto-generated tokens can be much longer. My example generates a key 760 characters.

Comment 1 Tom McKay 2018-07-25 12:27:22 UTC
Created from redmine issue https://projects.theforeman.org/issues/24382

Comment 2 Tom McKay 2018-07-25 12:27:25 UTC
Upstream bug assigned to tomckay@redhat.com

Comment 6 pm-sat@redhat.com 2018-08-02 15:52:59 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/24382 has been resolved.

Comment 8 Lukáš Hellebrandt 2018-08-29 09:28:51 UTC
FailedQA with Sat 6.4 snap 18.

The limit has merely been changed to 1024 characters. That is not *any* length. Also, there is an existing customer case already that requires more than 1024 characters.

Comment 13 Bryan Kearney 2020-02-03 17:41:41 UTC
This seems to be fixed upstream. I am closing it out.


Note You need to log in before you can comment on or make changes to this bug.